#!/bin/sh
#
# This script is an example of how to call the appropriate viewer based upon
# the URL method
#
# Created by:  Michael Elkins <me@cs.hmc.edu> on March 10, 1997
# Modified by: Liviu Daia <daia@stoilow.imar.ro>
#         and: Bill Nottingham <notting@redhat.com>
# Last Edited: April 26, 1999
#

url=$1
method=`echo $1 | sed 's;\(^[^:]*\):.*;\1;'`

case $method in
    ftp)
	target=`echo $url | sed 's;^.*://\([^/]*\)/*\(.*\);\1:/\2;'`
	if test x$DISPLAY = x; then
	  if [ -x /usr/bin/wget ]; then
	      wget $url
	  else
	     target=`echo $url | cut -d '/' -f 3`
	     if [ -x /usr/bin/ncftp ]; then
		ncftp $target
	     else
	        ftp $target
	     fi
	  fi
	else
	    target=`echo $url | sed s/,/%2c/g`
	    netscape -remote "openURL($target,new-window)" >/dev/null 2>&1 || netscape $target &
	fi
	;;

    http)   
	if test x$DISPLAY = x; then
	    lynx $url
	else
	    url=`echo $url | sed s/,/%2c/g`
	    netscape -remote "openURL($url,new-window)" >/dev/null 2>&1 || netscape $url &
	fi
	;;

    mailto)
	mutt `echo $url | sed 's;^[^:]*:\(.*\);\1;'`
	;;

    *)
	method=`echo $url | sed 's;\(^...\).*;\1;'`
	case $method in
	    ftp)
		target=`echo $url | sed 's;^\([^/]*\)/*\(.*\);\1:/\2;'`
		if test x$DISPLAY = x; then
		    if [ -x /usr/bin/wget ]; then
		         wget $target
		    else
		       target=`echo $url | cut -d '/' -f 1`
		       if [ -x /usr/bin/ncftp ]; then
			ncftp $target
		       else
			ftp $target
		       fi
		    fi
		else
	    	    target=`echo $url | sed s/,/%2c/g`
		    netscape -remote "openURL($target,new-window)" >/dev/null 2>&1 || netscape $target &
		fi
		;;

	    www)
		target="http://"$url
		if test x$DISPLAY = x; then
		    lynx $target
		else
	    	    target=`echo $target | sed s/,/%2c/g`
		    netscape -remote "openURL($target,new-window)" >/dev/null 2>&1 || netscape $target &
		fi
		;;

	    *)
		mutt $url
		;;
	esac
	;;
esac
